import argparse
import os


class Args:

    def __init__(self):
        parser = argparse.ArgumentParser()

        parser.add_argument("-i", "--input", help="CSV Input file", default="/home/luca/data/Comments/Luca_complete.csv")
        parser.add_argument("-g", "--globalIndex", help="CSV Global file", default="/home/luca/data/Comments/GlobalInput.csv")
        parser.add_argument("-o", "--output", help="Output folder", default="/home/luca/data/Comments/CommentsList")
        parser.add_argument("-t1", "--training", help="Output file for features", default="/home/luca/data/Comments/Training.5.csv")
        parser.add_argument("-t2", "--testing", help="Output file for features", default="/home/luca/data/Comments/Testing.5.csv")
        parser.add_argument("-q", "--occurrence", help="Low limit", default="5")
        parser.add_argument("-l", "--lowercase", help="Low limit", default="true")
        parser.add_argument("-p", "--print", help="Low limit", default="true")
        parser.add_argument("-c", "--separator", help="CSV Separator", default=",")

        self.args = parser.parse_args()

    def returnArgsList(self):
        return self.args
